Bug 156359 - New port: archivers/zutils Utilities for searching LZMA archives
New port: archivers/zutils Utilities for searching LZMA archives
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Max Brazhnikov
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-04-12 18:20 UTC by f3cun3c02
Modified: 2011-04-24 22:00 UTC (History)
0 users

See Also:


Attachments
file.shar (2.45 KB, text/plain)
2011-04-12 18:20 UTC, f3cun3c02
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description f3cun3c02 2011-04-12 18:20:10 UTC
Zutils is a collection of utilities able to deal with any combination of compressed and non-compressed files transparently. If any given file, including standard input, is compressed, its decompressed content is used. Compressed files are decompressed on the fly; no temporary files are created.

The provided utilities are:
Zcat - Decompresses and copies files to standard output.
Zcmp - Decompresses and compares two files byte by byte.
Zdiff - Decompresses and compares two files line by line.
Zgrep - Decompresses and searches files for a regular expression.
Ztest - Tests integrity of compressed files.

The supported compressors are bzip2, gzip, lzip, and xz.

WWW: http://www.nongnu.org/zutils/zutils.html

Fix: Patch attached with submission follows:
Comment 1 Max Brazhnikov freebsd_committer 2011-04-13 21:29:25 UTC
Responsible Changed
From-To: freebsd-ports-bugs->makc

I'll take it.
Comment 2 dfilter freebsd_committer 2011-04-24 21:54:58 UTC
makc        2011-04-24 20:54:44 UTC

  FreeBSD ports repository

  Added files:
    archivers/zutils     Makefile distinfo pkg-descr 
  Log:
  Add new port archivers/zutils:
  
  Zutils is a collection of utilities able to deal with any combination
  of compressed and non-compressed files transparently. If any given
  file, including standard input, is compressed, its decompressed
  content is used. Compressed files are decompressed on the fly; no
  temporary files are created.
  
  The provided utilities are:
  Zcat - Decompresses and copies files to standard output.
  Zcmp - Decompresses and compares two files byte by byte.
  Zdiff - Decompresses and compares two files line by line.
  Zgrep - Decompresses and searches files for a regular expression.
  Ztest - Tests integrity of compressed files.
  
  The supported compressors are bzip2, gzip, lzip, and xz.
  
  WWW: http://www.nongnu.org/zutils/zutils.html
  
  PR:             ports/156359
  Submitted by:   Albert Vernon <f3cun3c02 at sneakemail.com>
  
  Revision  Changes    Path
  1.1       +36 -0     ports/archivers/zutils/Makefile (new)
  1.1       +2 -0      ports/archivers/zutils/distinfo (new)
  1.1       +16 -0     ports/archivers/zutils/pkg-descr (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 3 Max Brazhnikov freebsd_committer 2011-04-24 21:56:30 UTC
State Changed
From-To: open->closed

Committed with some modifications. Thanks!